Summary: 	The Red Hat Linux mouse configuration tool.
Name: 		mouseconfig
Version:	4.26
Release: 	1
License: 	distributable
Group: 		System
Source: 	%{name}-%{version}.tar.gz
Patch:		%{name}.diff
Buildroot: 	%{_tmppath}/%{name}-root
BuildRequires: 	kudzu-devel newt-devel findutils textutils

%description
Mouseconfig is a text-based mouse configuration tool. Mouseconfig sets
up the files and links needed for configuring and using a mouse on a
Red Hat Linux system. The mouseconfig tool can be used to set the
correct mouse type for programs like gpm, and can be used with
Xconfigurator to set up the mouse for the X Window System.

%prep
%setup -q
%patch -p0

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
touch $RPM_BUILD_ROOT/etc/sysconfig/mouse

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/mouseconfig
%{_mandir}/man*
/etc
